Summary: Smart getty replacement for data and fax modems
Name: mgetty
Version: 1.1.14
Release: 2
Source: ftp://ftp.leo.org/pub/comp/os/unix/networking/mgetty/mgetty1.1.14-Apr02.tar.gz
Patch0: mgetty-1.1.5-config.patch
Patch1: mgetty-1.1.5-makekvg.patch
Patch2: mgetty-1.1.5-sendmail.patch
Patch3: mgetty-1.1.5-strip.patch
Requires: libgr-progs
Copyright: distributable
Group: Networking/Utilities
Buildroot: /var/tmp/mgetty+sendfax-root
Prereq: /sbin/install-info
Summary(de): Intelligenter Ersatz fr Daten- und Faxmodems 
Summary(fr): Remplacement de getty pour les modems donnes et fax
Summary(tr): Veri ve faks modemleri iin yeni ve akll bir getty

%changelog
* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.1.14
- AutoPPP patch
 
* Thu Dec 18 1997 Mike Wangsmo <wanger@redhat.com>
- added more of the documentation files to the rpm

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info support

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- now requires libgr-progs instead of netpbm

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%package sendfax
Summary: Support for sending and receiving faxes via a faxmodem
Requires: mgetty = %{PACKAGE_VERSION}
Group: Networking/Utilities
Summary(de): Untersttzung zum Versand und Empfang von Faxnachrichten ber ein Faxmodem 
Summary(fr): Gestion de l'envoi et de la rception de fax via un faxmodem
Summary(tr): 1 veya 2 snf modemler zerinden fax gnderme destei

%package voice
Summary: Support for modems supporting voice mail
Requires: mgetty = %{PACKAGE_VERSION}
Group: Networking/Utilities
Summary(de): Support fr Modems, die Voice-Mail untersttzen 
Summary(fr): Gestionnaire pour les modems vocaux
Summary(tr): Sesli mektup gnderebilen modemlere destek

%description
This package contains an intelligent getty for allowing logins over a
serial line (such as through a modem). It allows automatic callback
and includes fax support (though mgetty-sendfax needs to be installed to
make full use of it's fax support).

%description sendfax
This package includes support for FAX Class 2 modems to send and receive
faxes. It also includes simple FAX queueing support.

%description voice
This package includes support for some modems which have voice mail
extensions.

%description -l de voice
Dieses Paket untersttzt bestimmte Modems mit Voice-Mail-
Erweiterung.

%description -l de
Dieses Paket enthlt ein intelligentes getty, das das Anmelden ber eine
serielle Leitung, z.B. ein Modem, zult. Es untersttzt automatischen Rckruf
und Fax (fr vollstndige Fax-Untersttzung mu jedoch mgetty-sendfax
installiert werden.

%description -l de sendfax
Dieses Paket schliet Untersttzung fr den Versand und Empfang durch 
Modems der FAX Class 2 ein. Ebenfalls enthalten ist der Support fr 
eine einfache FAX-Warteschlange. 

%description -l fr voice
Ce paquetage contient les gestionnaires de certains modems disposant
des extensions voice mail.

%description -l fr
Ce paquetage contient un getty intelligent permettant les logins sur une
ligne srie (via un modem, par exemple). Il autorise le rappel automatique
et contient une gestion fax (mgetty-sendfax doit tre install pour
utiliser pleinement cette gestion fax).

%description -l fr sendfax
Ce paquetage contient la gestion des modems FAX Classe 2 pour mettre et
recevoir des faxs. Il contient aussi une gestion simple des attentes de fax.

%description -l tr voice
Bu paket sesli mektup uzants olan baz modemler iin destek ierir.

%description -l tr
Bu pakette seri balant zerinden sisteme girie olanak veren, akll bir
getty srm bulunur. Otomatik arama ve faks destei ierir (salad fax
desteinin tam olarak kullanlabilmesi iin mgetty-sendfax paketi gerekir).

%description -l tr sendfax
Bu paket 'FAX Class 2' modemleri iin faks gnderme ve alma destei ierir.
Ayn zamanda basit bir faks kuyruu destei vardr.

%prep
%setup 
%patch0 -p1 -b .config
%patch1 -p1 -b .makekvg
%patch2 -p1 -b .sendmail
%patch3 -p1 -b .strip

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"
cd voice
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool -p $RPM_BUILD_ROOT/sbin
make prefix=$RPM_BUILD_ROOT/usr spool=$RPM_BUILD_ROOT/var/spool \
	CONFDIR=$RPM_BUILD_ROOT/etc/mgetty+sendfax install
install -m700 callback/callback $RPM_BUILD_ROOT/usr/sbin
install -m4711 callback/ct $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/newslock

gzip -9n $RPM_BUILD_ROOT/usr/info/*

mv $RPM_BUILD_ROOT/usr/sbin/mgetty $RPM_BUILD_ROOT/sbin

# this conflicts with efax
mv $RPM_BUILD_ROOT/usr/man/man1/fax.1 $RPM_BUILD_ROOT/usr/man/man1/mgetty_fax.1

# this conflicts with libgr-progs
rm -f $RPM_BUILD_ROOT/usr/bin/g3topbm
rm -f $RPM_BUILD_ROOT/usr/bin/pbmtog3

# some helpful tools
(cd tools
make prefix=$RPM_BUILD_ROOT/usr spool=$RPM_BUILD_ROOT/var/spool \
	CONFDIR=$RPM_BUILD_ROOT/etc/mgetty+sendfax install
)
# voice mail extensions
(cd voice
mkdir -p $RPM_BUILD_ROOT/var/spool/voice 
mkdir -p $RPM_BUILD_ROOT/var/spool/voice/messages
mkdir -p $RPM_BUILD_ROOT/var/spool/voice/incoming

make prefix=$RPM_BUILD_ROOT/usr spool=$RPM_BUILD_ROOT/var/spool \
	CONFDIR=$RPM_BUILD_ROOT/etc/mgetty+sendfax install

mv $RPM_BUILD_ROOT/usr/sbin/vgetty $RPM_BUILD_ROOT/sbin
install -m 600 -c voice.conf-dist $RPM_BUILD_ROOT/etc/mgetty+sendfax/voice.conf
)
# don't ship documentation that is executable...
find samples -type f -exec chmod 644 {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/mgetty.info.gz /usr/info/dir --entry="* mgetty: (mgetty).		Package to handle faxes, voicemail and more."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/mgetty.info.gz /usr/info/dir --entry="* mgetty: (mgetty). 	Package to handle faxes, voicemail and more."
fi

%files
%doc FAQ BUGS ChangeLog README.1st THANKS doc/modems.db samples 
%doc doc/mgetty.ps doc/*.txt
/sbin/mgetty
/usr/man/man8/mgetty.8
/usr/man/man8/callback.8
/usr/man/man4/mgettydefs.4
/usr/info/mgetty.info-2.gz
/usr/info/mgetty.info-3.gz
/usr/info/mgetty.info-4.gz
/usr/info/mgetty.info.gz
/usr/info/mgetty.info-1.gz
%dir /etc/mgetty+sendfax
%config /etc/mgetty+sendfax/login.config
%config /etc/mgetty+sendfax/mgetty.config
%config /etc/mgetty+sendfax/dialin.config

%files sendfax
%dir /var/spool/fax
%dir /var/spool/fax/incoming
%dir /var/spool/fax/outgoing
%dir /var/spool/fax/outgoing/locks

/usr/bin/kvg
/usr/bin/newslock
/usr/bin/g3cat
/usr/bin/g32pbm
/usr/bin/faxspool
/usr/bin/faxrunq
/usr/bin/faxq
/usr/bin/faxrm
/usr/bin/ct
/usr/sbin/sendfax
/usr/sbin/faxrunqd
/usr/sbin/callback
/usr/lib/mgetty+sendfax
/usr/man/man1/g32pbm.1
/usr/man/man1/g3cat.1
/usr/man/man1/mgetty_fax.1
/usr/man/man1/faxspool.1
/usr/man/man1/faxrunq.1
/usr/man/man1/faxq.1
/usr/man/man1/faxrm.1
/usr/man/man1/coverpg.1
/usr/man/man5/faxqueue.5
/usr/man/man8/sendfax.8
%config /etc/mgetty+sendfax/sendfax.config
%config /etc/mgetty+sendfax/faxrunq.config
%config /etc/mgetty+sendfax/faxheader

%files voice
%dir /var/spool/voice
%dir /var/spool/voice/incoming
%dir /var/spool/voice/messages

/sbin/vgetty
/usr/bin/vm
/usr/bin/pvfamp
/usr/bin/pvfcut
/usr/bin/pvfecho
/usr/bin/pvffile
/usr/bin/pvffft
/usr/bin/pvfmix
/usr/bin/pvfreverse
/usr/bin/pvfsine
/usr/bin/pvfspeed
/usr/bin/pvftormd
/usr/bin/rmdtopvf
/usr/bin/rmdfile
/usr/bin/pvftovoc
/usr/bin/voctopvf
/usr/bin/pvftolin
/usr/bin/lintopvf
/usr/bin/pvftobasic
/usr/bin/basictopvf
/usr/bin/pvftoau
/usr/bin/autopvf
/usr/bin/pvftowav
/usr/bin/wavtopvf

/usr/man/man1/zplay.1
/usr/man/man1/pvf.1
/usr/man/man1/pvfamp.1
/usr/man/man1/pvfcut.1
/usr/man/man1/pvfecho.1
/usr/man/man1/pvffile.1
/usr/man/man1/pvffft.1
/usr/man/man1/pvfmix.1
/usr/man/man1/pvfreverse.1
/usr/man/man1/pvfsine.1
/usr/man/man1/pvfspeed.1
/usr/man/man1/pvftormd.1
/usr/man/man1/rmdtopvf.1
/usr/man/man1/rmdfile.1
/usr/man/man1/pvftovoc.1
/usr/man/man1/voctopvf.1
/usr/man/man1/pvftolin.1
/usr/man/man1/lintopvf.1
/usr/man/man1/pvftobasic.1
/usr/man/man1/basictopvf.1
/usr/man/man1/pvftoau.1
/usr/man/man1/autopvf.1
/usr/man/man1/pvftowav.1
/usr/man/man1/wavtopvf.1
%config /etc/mgetty+sendfax/voice.conf
